namespace OpenWarehouse.warehouse.api.Common.Inventory;

public interface IInventoryManger
{
    public Task<List<ItemInWarehouse>> GetListOfItemInWarehouse(Data.Item item);
    public Task<ItemInWarehouse?> GetPositionById(string id);
    public Task<List<ItemInWarehouse>> GetPositionByPosition(string position);
    public Task<bool> CreateAsync(ItemInWarehouse itemInWarehouse);
    public Task<bool> AddClaims(ItemInWarehouse itemInWarehouse, List<Claim> claims);
    public Task<bool> AddClaim(ItemInWarehouse itemInWarehouse, Claim claim);
    public Task<bool> DeleteClaim(ItemInWarehouse itemInWarehouse, string claimType);
}